package com.iamberry.wechat.service.relationship.Dao.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.iamberry.wechat.core.entity.relationship.WdRelation;
import com.iamberry.wechat.service.mapper.WdRelationMapper;
import com.iamberry.wechat.service.relationship.Dao.WdRelationDao;
/**
 * 微代理层级 dao 实现类
 * 2016年7月4日
 * @author Administrator
 *
 */
@Repository
public class WdRelationDaoImpl implements WdRelationDao{
	@Autowired
	private WdRelationMapper wdRelationMapper;
	/**
	 * 添加一个微代理层级
	 * 2016年7月4日
	 * @param wdRelation
	 * @return
	 */
	public Integer insertWdRelation(WdRelation wdRelation){
		return wdRelationMapper.insertWdRelation(wdRelation);
	}
	
	/**
	 * 根据用户openid 查找一个微代理层记录
	 * 2016年7月4日
	 * @param openid
	 * @return
	 */
	public WdRelation getWdRelationByOpenid(String openid){
		return wdRelationMapper.getWdRelationByOpenid(openid);
	}
	
	/**
	 * 根据用户条件 查找微代理层记录list
	 * 2016年7月4日
	 * @param openid
	 * @return
	 */
	public List<WdRelation> getWdRelationByWd(WdRelation wdRelation){
		return wdRelationMapper.getWdRelationByWd(wdRelation);
	}
}
